CREATE TABLE VEICULO (
ID_VEICULO INTEGER NOT NULL PRIMARY KEY,
MODELO VARCHAR(30),
PLACA VARCHAR(8),
ID_ENTRADA INTEGER,
BAIXA CHAR(1)
);

CREATE GENERATOR GEN_ID_VEICULO;

SET TERM ^;

CREATE TRIGGER TRIG_GEN_ID_VEICULO FOR VEICULO
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_VEICULO = gen_id(GEN_ID_VEICULO,1);
END
^

COMMIT WORK^
SET TERM;^

UPDATE PARAMETROS SET SCRIPT = 103;

